CFD Online Discussion Forums

CFD Online Discussion Forums (https://www.cfd-online.com/Forums/)
-   Mesh Generation & Pre-Processing (https://www.cfd-online.com/Forums/mesh-generation/)
-   -   Salome - Geometry (https://www.cfd-online.com/Forums/mesh-generation/204417-salome-geometry.html)

Thuraya July 23, 2018 06:51

Salome - Geometry
 
after installing Salome Salome-V8_4_0-univ_public on Ubuntu 18.04 I faced this problem where I cannot enter new entities like 2D /3D sketch The error message is:
GUI library corresponding to the users action can not be found or loaded.

the terminal has the following message too.

************************************************** **************
Warning: module HEXABLOCKPLUGIN is improperly configured!
Module HEXABLOCKPLUGIN will not be available in GUI mode!
************************************************** **************
************************************************** **************
Warning: module HYBRIDPLUGIN is improperly configured!
Module HYBRIDPLUGIN will not be available in GUI mode!
************************************************** **************
************************************************** **************
Warning: module BLSURFPLUGIN is improperly configured!
Module BLSURFPLUGIN will not be available in GUI mode!
************************************************** **************
************************************************** **************
Warning: module HexoticPLUGIN is improperly configured!
Module HexoticPLUGIN will not be available in GUI mode!
************************************************** **************
************************************************** **************
Warning: module GMSHPLUGIN is improperly configured!
Module GMSHPLUGIN will not be available in GUI mode!
************************************************** **************
************************************************** **************
Warning: module NETGENPLUGIN is improperly configured!
Module NETGENPLUGIN will not be available in GUI mode!
************************************************** **************
************************************************** **************
Warning: module GHS3DPLUGIN is improperly configured!
Module GHS3DPLUGIN will not be available in GUI mode!

siliconverter September 2, 2018 05:51

same problem here
 
I installed salome meca 2018 on a ubuntu 18.04 which was freshly installed.


I had to install python 2.7 and gcc and install libcanberra-gtk0 libcanberra-gtk-module
finally net-tools.
Also disable 3 faulty drivers at $HOME/salome_meca/V2018/prerequisites/debianForSalome/lib/libstdc++.*


Now Salome Meca 2018 starts with the following warnings:


stefan@ubuntu-engineering:~/salome_meca/appli_V2018$ ./salome
runSalome running on ubuntu-engineering
Searching for a free port for naming service: 2810 - OK
Searching Naming Service + found in 0.1 seconds
Searching /Kernel/Session in Naming Service +++++Warning: this type (SALOME_MED/MEDCouplingFieldDoubleCorbaInterface,objref) already exists, it will be ignored.
found in 2.5 seconds
Start SALOME, elapsed time : 2.7 seconds
************************************************** **************
Warning: module NETGENPLUGIN is improperly configured!
Module NETGENPLUGIN will not be available in GUI mode!
************************************************** **************
************************************************** **************
Warning: module GMSHPLUGIN is improperly configured!
Module GMSHPLUGIN will not be available in GUI mode!
************************************************** **************
************************************************** **************
Warning: module HYBRIDPLUGIN is improperly configured!
Module HYBRIDPLUGIN will not be available in GUI mode!
************************************************** **************



Would be nice if someone had a suggestion on how to resolve these Warnings.


All times are GMT -4. The time now is 12:46.